* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%;
}

body {
    position: relative;
    width: 100%;
    min-height: 100%;
    background-image: linear-gradient(to top, #fad0c4 0%, #ffd1ff 100%);
}

img {
    /* 禁止拖动 */
    -webkit-user-drag: none;

    /* 禁止选中 */
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;

    /* 禁止拖拽时的默认行为 */
    pointer-events: auto;
}

.loading-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: absolute;
    background-color: white;
    width: 100vw;
    height: 100vh;
    z-index: 1;
}

.loading-text {
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    color: rgb(161, 159, 247);
    margin-top: 50px;
}

.spinner {
    width: 70.4px;
    height: 70.4px;
    --clr: rgb(161, 159, 247);
    --clr-alpha: rgb(161, 159, 247, .1);
    animation: spinner 1.6s infinite ease;
    transform-style: preserve-3d;
}

.spinner>div {
    background-color: var(--clr-alpha);
    height: 100%;
    position: absolute;
    width: 100%;
    border: 3.5px solid var(--clr);
}

.spinner div:nth-of-type(1) {
    transform: translateZ(-35.2px) rotateY(180deg);
}

.spinner div:nth-of-type(2) {
    transform: rotateY(-270deg) translateX(50%);
    transform-origin: top right;
}

.spinner div:nth-of-type(3) {
    transform: rotateY(270deg) translateX(-50%);
    transform-origin: center left;
}

.spinner div:nth-of-type(4) {
    transform: rotateX(90deg) translateY(-50%);
    transform-origin: top center;
}

.spinner div:nth-of-type(5) {
    transform: rotateX(-90deg) translateY(50%);
    transform-origin: bottom center;
}

.spinner div:nth-of-type(6) {
    transform: translateZ(35.2px);
}

@keyframes spinner {
    0% {
        transform: rotate(45deg) rotateX(-25deg) rotateY(25deg);
    }

    50% {
        transform: rotate(45deg) rotateX(-385deg) rotateY(25deg);
    }

    100% {
        transform: rotate(45deg) rotateX(-385deg) rotateY(385deg);
    }
}

.loader {
    --clr: #ffffff;
    /* color of spining  */
    width: 16px;
    height: 16px;
    position: relative;
}

.loader:before,
.loader:after {
    content: "";
    position: absolute;
    top: -8px;
    left: -8px;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    border: 8px solid transparent;
    border-top-color: var(--clr);
}

.loader:before {
    z-index: 100;
    animation: spin 1s infinite;
}

.loader:after {
    border: 8px solid #ccc;
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.background {
    position: fixed;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}

.container {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 340px 1fr;
    grid-template-rows: 613px 1fr;
    gap: 30px;
    padding: 3% 3%;
}

.card-box {
    border-radius: 20px;
    backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: rgba(0, 0, 0, 0.2);
    box-shadow: 0 25px 25px rgba(0, 0, 0, 0.25);
    padding: 20px;
    transition: opacity 1s linear;
}

.cover {
    width: 300px;
    height: 300px;
    object-fit: cover;
    object-position: center center;
    border-radius: 20px;
}

.song-name {
    width: 300px;
    height: 50px;
    color: white;
    text-align: center;
    font-size: 30px;
    font-weight: bold;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.singer {
    width: 300px;
    height: 30px;
    color: white;
    text-align: center;
    font-size: 20px;
    font-weight: 200;
    margin-bottom: 15px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.progress-area {
    padding: 5px 0 0;
}

.time-info {
    display: flex;
    justify-content: space-between;
    font-size: 1rem;
    color: rgba(255, 255, 255, 0.7);
    margin-top: 0.4rem;
    letter-spacing: 0.5px;
}

.progress-bar-bg {
    background: #ffffff7c;
    border-radius: 100px;
    height: 6px;
    width: 100%;
    cursor: pointer;
    position: relative;
}

.progress-fill {
    background: #ffffff;
    width: 0%;
    height: 100%;
    border-radius: 100px;
    position: relative;
    transition: width 0.05s linear;
}

.controls {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    /* 子元素间距 */
    padding: 0.5rem 1.5rem 1rem;
}

.ctrl-btn {
    background-color: #00000000;
    border: none;
    width: 54px;
    height: 54px;
    border-radius: 60px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.2s ease;
    color: white;
}

.ctrl-btn svg {
    width: 26px;
    height: 26px;
    fill: none;
    stroke: currentColor;
    stroke-width: 1.8;
    stroke-linecap: round;
    stroke-linejoin: round;
}

.ctrl-btn:active {
    transform: scale(0.90);
}

.ctrl-btn:hover {
    background-color: rgb(255, 255, 255, 0.3);
}

.time-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.time-hour-text {
    color: white;
    text-align: center;
    font-size: 3rem;
    font-weight: bold;
}

.time-day-text {
    color: white;
    text-align: center;
    font-size: 1.4rem;
}

.sliders {
    position: relative;
    background: #ffffff7c;
    border-radius: 10px;
    height: 50px;
    cursor: pointer;
    overflow: hidden;
}

.sliders svg {
    width: 26px;
    height: 26px;
    fill: none;
    position: absolute;
    z-index: 1;
    top: 22%;
    left: 3%;
}

.sliders-fill {
    position: relative;
    background: #ffffff;
    height: 100%;
    width: 80%;
    transition: width 0.05s linear;
}

.music-list-container {
    opacity: 0;
    transition: opacity 0.2s linear;
}

.music-list-container:hover {
    opacity: 1;
}

.line-des-box {
    height: 40px;
    margin-bottom: 8px;
    display: grid;
    align-items: center;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
    padding: 0 10px;
}

.line-box {
    background-color: rgba(255, 255, 255, 0.2);
    border-radius: 8px;
    height: 40px;
    margin-bottom: 8px;
    cursor: pointer;
    display: grid;
    align-items: center;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
    padding: 0 10px;
}

.line-box:hover {
    background-color: rgba(255, 255, 255, 0.5);
}

.line-box-selected {
    background-color: rgba(255, 255, 255, 0.5);
}

.line-box-selected::before {
    content: "";
    position: absolute;
    background-color: white;
    width: 4px;
    height: 24px;
    border-radius: 2px;
    left: 8px;
}

.line-text {
    color: white;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 24px;
}

.line-song-name {
    font-weight: bold;
}

.line-singer {
    font-weight: 200;
}

.line-time {
    text-align: right;
}

.footer {
    display: inline-block;
    padding: 5px 20px;
    margin: 0 auto;
    color: white;
    text-align: center;
    font-weight: 100;
    grid-column: 1 / -1;
}

.footer a {
    color: white;
    font-weight: bold;
    text-decoration: none;
}

.footer a:hover {
    text-decoration: underline;
}

.lyrics-box {
    scroll-behavior: smooth;
    overflow-y: auto;
    /* 隐藏滚动条 */
    scrollbar-width: none;
    /* Firefox */
    -ms-overflow-style: none;
    /* IE/Edge */
}

/* 其他浏览器的隐藏滚动条 */
.lyrics-box::-webkit-scrollbar {
    display: none;
    /* Chrome/Safari/Opera */
}

/* 单语类 */
.line {
    color: white;
    text-align: center;
    font-size: 20px;
    margin-bottom: 10px;
}

/* 双语类 */
.bilingual {
    color: white;
    text-align: center;
    margin-bottom: 10px;
    font-size: 15px;
}

/* 原文类 */
.original {
    font-size: inherit;
}

/* 译文类 */
.translation {
    font-size: inherit;
}

/* 高亮类 */
.active {
    font-size: 30px;
    margin: 10px 0;
    font-weight: bold;
}

.daily-motto-content {
    color: white;
    text-align: center;
    font-weight: bold;
    font-size: 30px;
}

.daily-motto-from {
    color: white;
    text-align: center;
    font-size: 20px;
    font-weight: 300;
}

.search-box {
    width: 20%;
    max-width: 700px;
    height: 40px;
    border-radius: 8px;
    background-color: rgba(255, 255, 255, 0.2);
    color: white;
    font-size: 16px;
    border-style: none;
    text-align: center;
    transition: width 0.4s 0.1s ease-out;
}

.search-box:hover {
    width: 60%;
    background-color: rgba(255, 255, 255, 0.5);
}

.search-box:focus {
    width: 60%;
    outline: none;
    background-color: rgba(255, 255, 255, 0.5);
}

.search-box::placeholder {
    text-align: center;
    font-size: 16px;
    font-weight: 100;
    color: rgba(255, 255, 255, 0.7);
}

.search-box:focus::placeholder {
    opacity: 0;
}

.search-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 8px;
    border-style: none;
    background-color: rgba(255, 255, 255, 0.2);
    padding: 0;
    margin-left: 5px;
    cursor: pointer;
    transition: opacity 0.2s ease-out;
}

.search-button:hover {
    background-color: rgba(255, 255, 255, 0.5);
}

.search-button svg {
    width: 20px;
    height: 20px;
}